import React from 'react';
import { DatePickerProps } from '@/osui';
import { DateValue } from '@/lib/types/dayjs.d';
import { FieldProps } from '@/fields/base-component/types';
export declare enum DateType {
    dateTime = "second",
    date = "date",
    week = "week",
    month = "month",
    year = "year"
}
export declare type BaseFieldProps = DatePickerProps & FieldProps & {
    pickerType?: 'dateTime' | 'date' | 'week' | 'month' | 'year';
    value?: DateValue;
    placeholder?: string;
    format?: string;
    range?: string[];
    onChange?: (date?: DateValue, dateString?: string) => void;
};
declare const FieldDate: React.FC<BaseFieldProps>;
export default FieldDate;
