import React from 'react';
import { SelectProps } from '@/osui';
import { Item } from '@/lib/types/models';
import { FieldProps } from '@/fields/base-component/types';
export interface selectValue {
    label: string;
    value: string | number;
    disabled?: boolean;
}
export declare type BaseDropdownProps = SelectProps<any> & FieldProps & {
    value?: string[] | number[];
    options?: selectValue[];
    placeholder?: string;
    onChange?: (e: any) => void;
    onSelect?: (e: any, option: any) => void;
    onBlur?: (e: any) => void;
    onClear?: () => void;
    fetchOptions?: (keywords: string) => Promise<selectValue[]>;
    fetchValues?: (values: string[]) => Promise<selectValue[]>;
    debounceTimeout?: number;
    useChange?: boolean;
    expression?: string;
    display?: string;
    objectId?: string;
    dataQuoteInit?: (dates: Item[] | selectValue[], value: string[], display?: string) => selectValue[];
    workspaceKey?: string;
    workspace?: string;
};
declare const Dropdown: React.FC<BaseDropdownProps>;
export default Dropdown;
