import { DefaultSlatePluginKey, ExitBreakPluginOptions, MentionNodeData, MentionPluginOptions, ResetBlockTypePluginOptions, SlatePluginOptions, SoftBreakPluginOptions } from '@udecode/slate-plugins';
export declare const options: <T extends string = string>(name: string) => Record<DefaultSlatePluginKey | T, SlatePluginOptions>;
export declare const optionsResetBlockTypePlugin: ResetBlockTypePluginOptions;
export declare const optionsSoftBreakPlugin: SoftBreakPluginOptions;
export declare const optionsExitBreakPlugin: ExitBreakPluginOptions;
export declare const editableProps: {
    spellCheck: boolean;
    autoFocus: boolean;
};
export declare const optionsUserMentionPlugin: (metionables: MentionNodeData[]) => MentionPluginOptions;
export declare const optionsTemplateMentionPlugin: {
    mentionables: ({
        name: string;
        value: string;
        node: ({
            type: string;
            children: {
                text: string;
            }[];
            id: number;
        } | {
            type: string;
            children: {
                type: string;
                children: {
                    text: string;
                }[];
            }[];
            id: number;
        } | {
            type: string;
            children: {
                type: string;
                id: number;
                children: {
                    text: string;
                }[];
            }[];
            id: number;
        } | {
            type: string;
            id: number;
            children: ({
                text: string;
                'font-size': string;
                subscript?: undefined;
            } | {
                text: string;
                subscript: boolean;
                'font-size': string;
            })[];
        } | {
            type: string;
            children: {
                type: string;
                id: number;
                children: {
                    text: string;
                    'font-size': string;
                }[];
            }[];
            id: number;
        })[];
    } | {
        name: string;
        value: string;
        node: ({
            type: string;
            children: {
                text: string;
            }[];
            id?: undefined;
        } | {
            type: string;
            id: number;
            children: {
                'font-size': string;
                text: string;
            }[];
        } | {
            type: string;
            id: number;
            children: ({
                text: string;
                bold: boolean;
            } | {
                text: string;
                bold?: undefined;
            })[];
        })[];
    })[];
    pluginKey: string;
    maxSuggestions: number;
    insertSpaceAfterMention: boolean;
    trigger: string;
    mentionableSearchPattern: string;
};
