import React from 'react';
import BaseTable, { BaseTableProps } from 'react-base-table';
declare type CreateChildCardOptionParam = {
    /** 控制缩进量 */
    depth?: number;
    itemTypeIds: string[];
    onCardCreate: (cardInfo: Record<'name' | 'itemTypeId', string>) => void;
};
export declare type BaseTableRefType<T = unknown> = BaseTable<T> & {
    /** 快速创建子事项 */
    createChildCard: (parentRowKey: string, option: CreateChildCardOptionParam) => void;
};
export declare type AdvanceBaseTableProps = BaseTableProps;
declare const AdvanceBaseTable: React.ForwardRefExoticComponent<Pick<AdvanceBaseTableProps, keyof AdvanceBaseTableProps> & React.RefAttributes<BaseTableRefType<unknown>>>;
export default AdvanceBaseTable;
export * from 'react-base-table';
