import React from 'react';
import { ItemTypeSchemeHierarchy } from '@/lib/types/item-types';
import { CustomField } from '@/lib/types/models';
/** 根据层级关系获取子事项类型 */
export declare const useChildCardItemTypes: (hierarchy?: any[]) => {
    getChildCardItemTypes(id: string, hierarchy?: ItemTypeSchemeHierarchy[]): ItemTypeSchemeHierarchy[] | undefined;
};
declare type UseCreateChildCardFields = (workSpace: string, customFields: any[]) => {
    getFieldInfo: (itemType: string) => Promise<{
        /** 界面方案关联字段 */
        screenFields: CustomField[];
        /** 必填字段 key */
        requiredFieldKeys: string[];
        defaultFieldValues: Record<string, any>;
    }>;
};
/** 获取子事项创建所需要字段信息 */
export declare const useChildCardCreatedFields: UseCreateChildCardFields;
declare type UseCreateItem = (workspaceId: string) => {
    createItem: (params: {
        name: string;
        values: Record<string, unknown>;
        itemTypeId: string;
        ancestors: string[];
    }) => Promise<void>;
};
/** 事项创建 */
export declare const useCreateItem: UseCreateItem;
export declare const useExtraViewControlNode: (node: React.ReactNode, area?: 'left' | 'right') => React.ReactNode;
export {};
