import React from 'react';
import { ItemClickResponder } from '../view';
/** 菜单操作权限 */
declare type AccessType = 'canChildCardCreate';
/** 菜单操作类型 */
export declare type ActionType = 'view' | 'edit' | 'delete' | 'childCardCreate' | 'childCardInlineCreate';
/** 菜单操作权限判断 */
export declare type MenuAccess = Record<AccessType, boolean | (() => boolean)>;
export type { ItemClickResponder } from '../view';
interface MenuProps {
    itemId?: string;
    onActionClick: ItemClickResponder;
    onClick?: (e: MouseEvent) => void;
    excludeMenuKeys?: string[];
    access?: MenuAccess;
}
declare const TableActionMenu: React.FC<MenuProps>;
export default TableActionMenu;
