export declare const NodeRect: {
    width: number;
    height: number;
};
export declare const NodeType: {
    Start: string;
    Task: string;
};
export declare const StartNodeItem: {
    name: string;
    id: string;
    key: string;
    width: number;
    height: number;
    x: number;
    y: number;
    bgColor: string;
    selected: boolean;
    parameters: {};
    nodeType: string;
    statusId: string;
    transitionName: string;
};
export declare const CommonConfig: {
    isSource: boolean;
    isTarget: boolean;
    maxConnections: number;
    endpoint: (string | {
        radius: number;
        cssClass: string;
    })[];
    endpointStyle: {};
    paintStyle: {
        strokeWidth: number;
        storke: string;
    };
    connector: (string | {
        cornerRadius: number;
    })[];
    connectorStyle: {
        joinstyle: string;
        stroke: string;
        strokeWidth: number;
        outlineStroke: string;
        outlineWidth: number;
    };
    connectorHoverStyle: {
        strokeWidth: number;
        stroke: string;
    };
    connectorOverlays: (string | {
        width: number;
        length: number;
        location: number;
    })[][];
};
export declare const ElementType: {
    transition: string;
    status: string;
    any: string;
};
export declare const ElementName: {
    Transition: string;
    Status: string;
    Any: string;
};
export declare const RuleType: {
    permissionType: string;
    fieldType: string;
};
export declare const ModalType: {
    add: string;
    edit: string;
};
export interface ValueProps {
    objectId: string;
    name?: string;
    description?: string;
}
export interface WorkflowModalProps {
    type: string;
    modalVisible: boolean;
    initialValue?: ValueProps;
    handleSubmit: (value: ValueProps, isConfig?: boolean) => void;
    handleCloseModal: () => void;
}
export declare const UNIQUE_CODE = 137;
