/// <reference types="node" />
/// <reference types="parse" />
import { IncomingHttpHeaders } from 'http';
import { CustomField as CustomFieldProps, ObjectId, Screen } from '@/lib/types/models';
import { GetScreenParams } from '@/lib/types/screen';
export declare type GetScreenAPI = (params: GetScreenParams, options?: {
    headers?: IncomingHttpHeaders;
    sessionToken?: string;
    context?: any;
}) => Promise<Record<string, Screen>>;
export declare type GetScreenFieldAPI = (params: GetScreenParams, options?: {
    headers?: IncomingHttpHeaders;
    sessionToken?: string;
    context?: any;
}) => Promise<CustomFieldProps[]>;
export declare type GetScreenIdsAPI = (params: GetScreenParams, options?: Parse.Query.FindOptions) => Promise<Record<string, ObjectId>>;
export declare const getScreenInServerSide: GetScreenAPI;
export declare const getScreen: GetScreenAPI;
export declare const getScreenIds: GetScreenIdsAPI;
export declare const getScreenFields: GetScreenFieldAPI;
