import { DateType } from './types/dayjs';
import { ViewType } from './types/models';
export declare const WorkFlowStatusColor: {
    Start: {
        color: string;
        bgColor: string;
    };
    InProgress: {
        color: string;
        bgColor: string;
    };
    Finished: {
        color: string;
        bgColor: string;
    };
};
export declare const QUERY_INFINITY = 9999;
export declare const NumberMaxMin: {
    Max: number;
    Min: number;
};
export declare const FIELD_TYPE_DATATYPE_MAPPINGS: {
    String: string;
    Array: string;
    Number: string;
    Object: string;
    Boolean: string;
};
export declare const FIELD_TYPE_KEY_MAPPINGS: {
    Text: string;
    User: string;
    LongText: string;
    Number: string;
    Dropdown: string;
    Date: string;
    DateRange: string;
    Time: string;
    TimeRange: string;
    BindWorkspace: string;
    Script: string;
    SecurityLevel: string;
    Key: string;
    Workflow: string;
    Workspace: string;
    Name: string;
    ItemType: string;
    Screen: string;
    Status: string;
    FieldCollection: string;
    ItemLevel: string;
    Link: string;
    Version: string;
    Sprint: string;
    Assignee: string;
    Priority: string;
    Board: string;
    ItemGroup: string;
    StoryPoint: string;
    CreatedAt: string;
    UpdatedAt: string;
    CreatedBy: string;
    UpdatedBy: string;
    Tree: string;
    Checkbox: string;
    Radio: string;
    Editor: string;
    Formula: string;
    Annex: string;
    File: string;
    Tag: string;
    DataQuote: string;
    Actors: string;
};
export declare const FIELD_TYPE_IMPORT_EXPORT: {
    [x: string]: {
        export: boolean;
        import: boolean;
    };
};
export declare const USER_FIELD_TYPE_KEY: string[];
export declare const VIEW_TYPE: Record<ViewType, ViewType>;
export declare const VIEW_COMPONENT: {
    Default: ViewType;
    Structure: ViewType;
    Kanban: ViewType;
    Gantt: ViewType;
    StoryMapping: ViewType;
    Calendar: ViewType;
    Split: ViewType;
    Board: string;
};
export declare const SCREEN_TYPE: {
    View: string;
    Create: string;
    Edit: string;
};
export declare const SYSTEM_FIELD: {
    SecurityLevel: string;
    ItemType: string;
    Name: string;
    Workflow: string;
    Workspace: string;
    Status: string;
    Board: string;
    ItemGroup: string;
    Key: string;
    CreatedAt: string;
    UpdatedAt: string;
    CreatedBy: string;
    UpdatedBy: string;
    Sprint: string;
    Version: string;
    Assignee: string;
    Priority: string;
    Annex: string;
    ItemLevel: string;
    Relations: string;
    StoryPoint: string;
};
export declare const DEFAULT_SHOW_FIELDS: string[];
export declare const INCLUDE_SYSTEM_FIELDS: string[];
export declare const SECURITY_LEVEL_TYPE: {
    Read: string;
    Write: string;
};
export declare const EXCLUDED_TABLE_FIELD_TYPES: string[];
export declare const EXCLUDE_REPORT_TABLE_FIELD_TYPES: string[];
export declare const INCLUDE_FILTER_FIELD_TYPES: string[];
export declare const FILTER_EXPR_NAME: {
    Text_Contain: string;
    Text_Equal: string;
    Text_Not_Equal: string;
    Number_Equal: string;
    Number_Not_Equal: string;
    Number_Less_Than: string;
    Number_Greater_Than: string;
    Dropdown_Equal: string;
    Dropdown_Contain: string;
    Dropdown_Not_Contain: string;
    User_Contain: string;
    User_Not_Contain: string;
    Workspace_Equal: string;
    Workspace_Not_Equal: string;
    Workspace_Contain: string;
    Workspace_Not_Contain: string;
    ItemType_Equal: string;
    ItemType_Not_Equal: string;
    ItemType_Contain: string;
    ItemType_Not_Contain: string;
    Key_Equal: string;
    Key_Not_Equal: string;
    Key_Less_Than: string;
    Key_Greater_Than: string;
    Status_Contain: string;
    Status_Not_Contain: string;
    CreatedBy_Equal: string;
    CreatedBy_Not_Equal: string;
    CreatedBy_Contain: string;
    CreatedBy_Not_Contain: string;
    UpdatedBy_Equal: string;
    UpdatedBy_Not_Equal: string;
    UpdatedBy_Contain: string;
    UpdatedBy_Not_Contain: string;
    Date_Range: string;
    CreatedAt_Range: string;
    UpdatedAt_Range: string;
    BindWorkspace_Equal: string;
    BindWorkspace_Not_Equal: string;
    BindWorkspace_Contain: string;
    BindWorkspace_Not_Contain: string;
    Assignee_Contain: string;
    Assignee_Not_Contain: string;
    Priority_Equal: string;
    Priority_Not_Equal: string;
    Priority_Less_Than: string;
    Priority_Greater_Than: string;
    Priority_Contain: string;
    Priority_Not_Contain: string;
    ItemGroup_Contain: string;
    ItemGroup_Not_Contain: string;
};
export declare const MULTIPLE_FILTER_EXPRESSIONS: {
    Workspace: {
        label: string;
        value: string;
    }[];
};
export declare const MODE_MULTIPLE: string[];
export declare const FILTER_EXPRESSIONS: {
    Text: {
        label: string;
        value: string;
    }[];
    Number: {
        label: string;
        value: string;
    }[];
    Dropdown: {
        label: string;
        value: string;
    }[];
    DataQuote: {
        label: string;
        value: string;
    }[];
    Version: {
        label: string;
        value: string;
    }[];
    Sprint: {
        label: string;
        value: string;
    }[];
    User: {
        label: string;
        value: string;
    }[];
    Workspace: {
        label: string;
        value: string;
    }[];
    BindWorkspace: {
        label: string;
        value: string;
    }[];
    ItemType: {
        label: string;
        value: string;
    }[];
    Key: {
        label: string;
        value: string;
    }[];
    Status: {
        label: string;
        value: string;
    }[];
    createdBy: {
        label: string;
        value: string;
    }[];
    updatedBy: {
        label: string;
        value: string;
    }[];
    Assignee: {
        label: string;
        value: string;
    }[];
    Priority: {
        label: string;
        value: string;
    }[];
    ItemGroup: {
        label: string;
        value: string;
    }[];
};
export declare const MULTIPLE_FIELD: string[];
export declare const IQL_CONDITION: {
    NOT_EQUAL: string;
    EQUAL: string;
    GREATER_THAN: string;
    LESS_THAN: string;
    GREATER_THAN_EQUAL: string;
    LESS_THAN_EQUAL: string;
    NOT_CONTAIN: string;
    CONTAIN: string;
    TEXT_CONTAIN: string;
    TEXT_NOT_CONTAIN: string;
    ORDER_BY: string;
    IS: string;
    IS_NOT: string;
    DESC: string;
    ASC: string;
    AND: string;
    _AND_: string;
};
export declare const COMPONENT_CATEGORY_DICT: {
    CategoryRoot: string;
    CategoryBlock: string;
    CategoryWrapper: string;
    CategoryComponent: string;
};
export declare const COMPONENT_DICT: {
    RootContainer: string;
    TabsContainer: string;
    CollapseContainer: string;
    RowContainer: string;
    TabPaneWrapper: string;
    CollapsePanelWrapper: string;
    CustomComponent: string;
};
export declare const UI_DICT: {
    Row: string;
    Tabs: string;
    TabPane: string;
    Collapse: string;
    Panel: string;
    Div: string;
};
export declare const ALLOW_DRAG_COMPONENT_CATEGORIES_IN_CANVAS: string[];
export declare const ALLOW_FOCUS_COMPONENT_CATEGORIES_IN_CANVAS: string[];
export declare const COMPONENT_BEHAVIORS: {
    [x: string]: {
        category: string;
        accept: string[];
        ui: string;
        description?: undefined;
    } | {
        category: string;
        description: string;
        accept: string[];
        ui: string;
    };
};
export declare const WIDGET_MENU_TYPES: {
    Layout: string;
    System: string;
    Custom: string;
};
export declare const CONTAINER_WIDGETS: ({
    name: string;
    component: string;
    description: string;
    initData: {
        data: {
            children: {
                component: string;
                children: any[];
                config: {};
            }[];
        };
        config: {
            tabPosition: string;
            containerRows?: undefined;
        };
    };
} | {
    name: string;
    component: string;
    description: string;
    initData: {
        data: {
            children: {
                component: string;
                children: any[];
                config: {};
            }[];
        };
        config: {
            tabPosition?: undefined;
            containerRows?: undefined;
        };
    };
} | {
    name: string;
    component: string;
    description: string;
    initData: {
        data: {
            children: any[];
        };
        config: {
            containerRows: number;
            tabPosition?: undefined;
        };
    };
})[];
export declare const INCLUDED_SYSTEM_FIELD_TYPES: string[];
export declare const MARK_FONT_SIZE = "fontSize";
export declare const MARK_FONT_FAMILY = "fontFamily";
export declare const MARK_FONT_LINE_HEIGHT = "lineHeight";
export declare const MARK_FONT_COLOR = "color";
export declare const MARK_FONT_BG_COLOR = "backgroundColor";
export declare const ELEMENT_TEMPLATE_MENTION = "metion_template";
export declare const MARK_HISTORY_UNDO = "undo";
export declare const MARK_HISTORY_REDO = "redo";
export declare const FONT_MENUS: {
    fontSize: {
        label: string;
        value: string;
    }[];
    fontFamily: {
        label: string;
        value: string;
    }[];
    lineHeight: {
        label: string;
        value: string;
    }[];
};
export declare enum AUTOMATE_TYPE {
    ACTION = "action",
    CONDITION = "condition",
    TRIGGER = "trigger",
    BRANCH = "branch"
}
export declare const AUTOMATE_NODES: {
    TRIGGER_ITEM_CREATED: string;
    TRIGGER_ITEM_UPDATED: string;
    TRIGGER_ITEM_DELETED: string;
    TRIGGER_ITEM_TRANSITIONED: string;
    TRIGGER_ITEM_FIELD_CHANGED: string;
    TRIGGER_ITEM_LINK_DELETED: string;
    TRIGGER_ITEM_LINK_CREATED: string;
    TRIGGER_ITEM_COMMENTED_ADDED: string;
    TRIGGER_ITEM_REMOVED: string;
    TRIGGER_BPMN_TRANSITIONED: string;
    TRIGGER_BPMN_FINISHED: string;
    TRIGGER_SCHEDULE: string;
    CONDITION_IF_FIELDS: string;
    CONDITION_ITEM_USER: string;
    CONDITION_ITEM_RELATE: string;
    CONDITION_BPMN_CONDITION: string;
    CONDITION_IF_ELSE: string;
    ACTION_ITEM_COMMENT: string;
    ACTION_SUB_ITEM_CREATE: string;
    ACTION_ITEM_CREATE: string;
    ACTION_ITEM_DELETE: string;
    ACTION_BPMN_CREATE: string;
    ACTION_ITEM_CLONE: string;
    ACTION_ITEM_TRANSITION: string;
    ACTION_ITEM_EDIT: string;
    ACTION_EMAIL_SEND: string;
    ACTION_NOTIFICATION_SEND: string;
    ACTION_WEB_REQUEST: string;
    BRANCH_ITEM: string;
    BRANCH_ADVANCED_ITEM: string;
};
export declare const AUTOMATE_EVENTS: {
    ITEM_UPDATED: string;
    ITEM_CREATED: string;
    ITEM_DELETED: string;
    BPMN_ENDED: string;
    BPMN_TRANSITIONED: string;
    ITEM_LINK_CREATED: string;
    ITEM_LINK_DELETED: string;
    TRIGGER_TIMER: string;
};
export declare const AUTOMATE_TRIGGER_EVENTS: {
    [x: string]: string;
};
export declare const CONDITIONS_TYPE: {
    IF: string;
    ELSE_IF: string;
    ELSE: string;
};
export declare const CONDITIONS_TYPE_NAME: {
    [x: string]: string;
};
export declare const SWITCH_COMPONENT_COMMON_LIST: {
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    color: string;
    icon: string;
}[];
export declare const SWITCH_COMPONENT_LIST: {
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    color: string;
    icon: string;
}[];
export declare const AUTO_NODE_LIST: ({
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    view: string;
    color: string;
    conditionType?: undefined;
    hide?: undefined;
} | {
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    view: string;
    conditionType: string;
    color: string;
    hide?: undefined;
} | {
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    view: string;
    conditionType: string;
    hide: boolean;
    color: string;
} | {
    title: string;
    desc: string;
    type: AUTOMATE_TYPE;
    view: string;
    hide: boolean;
    color: string;
    conditionType?: undefined;
})[];
export declare const AUTOMATION_SIDE_BAR_DETAILS: {
    [x: string]: string;
};
export declare const INCLUDE_AUTO_FIELD_TYPES: string[];
export declare const AUTOMATION_CUSTOM_VALUES_FIELDS: string[];
export declare const NOT_INCLUDE_AUTO_CONDITIONS_FIELD_TYPES: string[];
export declare const CONDITION_EXPRESSIONS: {
    [x: string]: {
        label: string;
        value: string;
    }[];
    Boolean: {
        label: string;
        value: string;
    }[];
    Multiple: {
        label: string;
        value: string;
    }[];
    Single: {
        label: string;
        value: string;
    }[];
};
export declare const AUTOMATION_EMPTY_EXPS: string[];
export declare const AUTOMATION_USER_CONDITIONS_EX: {
    label: string;
    value: string;
}[];
export declare const INIT_NODE: {
    name: string;
    type: any;
    view: string;
    value: any;
    children: any[];
    path: any[];
};
export declare const BRANCH_ITEM_OPTIONS: {
    label: string;
    value: string;
    desc: string;
}[];
export declare const UPDATE_BASIC_INFO = "update_basic_info";
export declare const UPDATE_CLICK_NODE = "update_click_node";
export declare const UPDATE_CLICK_NEW_NODE = "update_click_new_node";
export declare const UPDATE_CLICK_STORAGE_NODE = "update_click_storage_node";
export declare const UPDATE_IS_ABLE_CHANGE_NODE = "update_is_able_change_node";
export declare const UPDATE_STORAGE_NODE = "update_storage_node";
export declare const CHANGE_NODE = "change_node";
export declare const CLEAR_NODE = "clear_node";
export declare const CLEAR_STORAGE_NODE = "clear_storage_node";
export declare const UPDATE_MAIN_COMPONENT = "update_main_component";
export declare const EDIT_ACTION = "edit_action";
export declare const UPDATE_ERROR_NODE = "update_error_node";
export declare const CLICK_NODE_EVENT = "CLICK_NODE_EVENT";
export declare const SYSTEM_KEY: {
    ITEM_TYPE: string;
    WORKSPACE: string;
    CREATED_BY: string;
    UPDATED_BY: string;
    STATUS: string;
    Name: string;
};
export declare const SYSTEM_MAPPING: {
    [x: string]: {
        __type: string;
        className: string;
    };
};
export declare const TRIGGER_FIELDS_OPERATION_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const AUTOMATE_CREATE_FIELDS_EXTRA: {
    TRIGGER: string;
    CURRENT: string;
};
export declare const WORKSPACE_EXTRA_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const ITEM_TYPE_EXTRA_OPTIONS: {
    name: string;
    objectId: string;
}[];
export declare const VERSION_RELEASE_ITEM_ACTION: {
    MOVE: string;
    IGNORE: string;
};
export declare const RELEASED_COLOR = "var(--color-success-4)";
export declare const UNRELEASED_COLOR = "var(--color-brand-4)";
export declare const VERSION_STATUS_KEY: {
    released: string;
    unreleased: string;
    archived: string;
};
export declare const VERSION_STATUS_LABEL: {
    [x: string]: string;
};
export declare const BPMN_STATUS_OPERATIONS: {
    label: string;
    value: string;
}[];
export declare const ACTION_REMOVE_ITEM_EXTRA_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const CLONE_TYPE_LIST: {
    label: string;
    value: string;
}[];
export declare const RELATE_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const RELATE_EXPRESSION_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const ACTOR_EXTRA_OPTIONS: {
    label: string;
    value: string;
    username: string;
}[];
export declare const ALL_WORKSPACE = "@ALL";
export declare const WORKSPACE_ALL_EXTRA_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const BASE_INFO_CLICK_NODE: {
    view: string;
};
export declare const PICKER_TYPE: {
    DATE: string;
    WEEK: string;
    MONTH: string;
    QUARTER: string;
    YEAR: string;
};
export declare const DATE_TYPE: Record<Uppercase<DateType>, DateType>;
export declare const DATE_FORMAT: {
    DATETIME: string;
    DATE: string;
    WEEK: string;
    MONTH: string;
    YEAR: string;
};
export declare const DATE_TIME_FORMAT = "YYYY-MM-DD HH:mm";
export declare const DATE_TIME_FORMAT_SEC = "YYYY-MM-DD HH:mm:ss";
export declare const DATA_TIME = "dateTime";
export declare const LOCAL_STORAGE_KEYS: {
    LAYOUT_STATE: string;
};
export declare const AUTO_TIME_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const INTERVAL_OPTIONS_VALUE: {
    MINUTELY: string;
    HOURLY: string;
    DAILY: string;
    WEEKLY: string;
    MONTHLY: string;
};
export declare const DATE_FIELDS_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const WEEKEND_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const WEEK_ENUM: {
    Sun: number;
    Mon: number;
    Tue: number;
    Wed: number;
    Thu: number;
    Fri: number;
    Sat: number;
};
export declare const INTERVAL_MONTH_OPTIONS_VALUE: {
    FIRST_DAY: string;
    LAST_DAY: string;
    FIRST_WEEK: string;
    LAST_WEEK: string;
    DATE: string;
};
export declare const MONTH_OPTIONS: {
    label: string;
    value: string;
}[];
export declare const ALIASES: {
    jan: number;
    feb: number;
    mar: number;
    apr: number;
    may: number;
    jun: number;
    jul: number;
    aug: number;
    sep: number;
    oct: number;
    nov: number;
    dec: number;
    sun: number;
    mon: number;
    tue: number;
    wed: number;
    thu: number;
    fri: number;
    sat: number;
};
export declare const TIME_UNITS: string[];
export declare const CONSTRAINTS: number[][];
export declare const LIST_LENGTH = 11;
export declare const AUTOMATIONLOG_TYPE: {
    CREATE: string;
    UPDATE: string;
    ENABLE: string;
    DISABLE: string;
    DELETE: string;
};
export declare const filterExcludeMenuKeys: string[];
export declare const AUTOMATION_DEFAULT_FIELDS: string[];
export declare const AUTOMATION_DEFAULT_CLONE_FIELDS: string[];
export declare const maximumFileSize = 50;
export declare const AUTOMATION_USER_EXTRA_OPTIONS: {
    label: string;
    value: string;
    username: string;
}[];
export declare const AUTO_CLONE_ITEM_EXTRA_FIELD_KEYS: string[];
export declare const COLUMN_NAME_WIDTH = 340;
export declare const COLUMN_DESCRIPTION_WIDTH = 340;
export declare const COLUMN_DEFAULT_WIDTH = 140;
export declare const AUTO_USER_FIELD_TYPES: string[];
export declare const ONE_DAY_MS: number;
export declare const SUPERADMIN_ROLE_NAME = "superAdmin";
export declare const USER_ROLE_NAME: {
    superAdmin: {
        name: string;
        tag: string;
    };
    admin: {
        name: string;
        tag: string;
    };
    member: {
        name: string;
        tag: string;
    };
};
export declare const AUTO_WEB_METHODS_ENUM: {
    POST: string;
    GET: string;
    DELETE: string;
    HEAD: string;
    PATCH: string;
    PUT: string;
};
export declare const AUTO_WEB_BODY: {
    label: string;
    value: string;
}[];
export declare const INIT_CHART_GROUP_VALUE: {
    key: string;
    name: string;
    fieldType: string;
}[];
export declare const LAST_THIRTY_DAYS = "lastThirtyDays";
export declare const LAST_SEVEN_DAYS = "LastSevenDays";
export declare const THIS_WEEK = "thisWeek";
export declare const THIS_MONTH = "thisMonth";
export declare const CUSTOM_TIME = "customTime";
export declare const INIT_CHART_GROUP_LINE_VALUE: {
    key: string;
    name: string;
    fieldType: string;
    compute: string;
    dates: any[];
}[];
export declare const INIT_CHART_GRID: {
    w: number;
    h: number;
    maxW: number;
};
export declare const INIT_BASIC_CHART_OPTION: {
    group: {
        key: string;
        name: string;
        fieldType: string;
    }[];
    value: {
        key: string;
        fieldType: string;
        name: string;
        compute: string;
    }[];
    grid: {
        w: number;
        h: number;
        maxW: number;
    };
    orderBy: {};
};
export declare const INIT_ITEM_STATISTICS_OPTION: {
    group: {
        key: string;
        name: string;
        fieldType: string;
    }[];
    value: {
        key: string;
        fieldType: string;
        name: string;
        compute: string;
    }[];
    grid: {
        w: number;
        h: number;
        maxW: number;
    };
    orderBy: {};
};
export declare const INIT_HS_CHART: {
    group: {
        children: string;
        component: string;
        fieldid: string;
        fieldtype: string;
        key: string;
        name: string;
        value: string;
    }[];
    value: {
        key: string;
        fieldType: string;
        name: string;
        compute: string;
    }[];
    grid: {
        w: number;
        h: number;
        maxW: number;
    };
};
export declare const BASIC_PIE_CHART = "basic-pie-chart";
export declare const BASIC_BAR_CHART = "basic-bar-chart";
export declare const BASIC_LINE_CHART = "basic-line-chart";
export declare const BASIC_TABLE_CHART = "basic-table-chart";
export declare const BASIC_COUNT_CHART = "basic-count-chart";
export declare const BASIC_ITEM_LIST_CHART = "basic-item-list-chart";
export declare const BASIC_ITEM_STATISTICS_CHART = "basic-item-statistics-chart";
export declare const BASIC_ITEM_COUNT_CHART = "basic-item-count-chart";
export declare const BASIC_DEMAND_SPEED_CHART = "basic-demand-speed-chart";
export declare const HS_HEAP_BAR_CHART = "hs-heap-bar-chart";
export declare const INIT_CHART_OPTION: {
    "basic-pie-chart": {
        type: string;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
    };
    "basic-bar-chart": {
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        type: string;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
    };
    "basic-line-chart": {
        type: string;
        group: {
            key: string;
            name: string;
            fieldType: string;
            compute: string;
            dates: any[];
        }[];
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
    };
    "basic-count-chart": {
        type: string;
        precision: number;
        unit: string;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
    };
    "basic-item-list-chart": {
        type: string;
        pageSize: number;
        columnKeys: string[];
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
    };
    "hs-heap-bar-chart": {
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        value: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        type: string;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
    };
    "basic-item-statistics-chart": {
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
        type: string;
        pageSize: number;
    };
    "basic-item-count-chart": {
        type: string;
        precision: number;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
    };
};
export declare const INIT_CREATE_WORKSPACE_CHART: ({
    name: string;
    option: {
        type: string;
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
    };
    view: string;
} | {
    name: string;
    option: {
        type: string;
        cluster: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        grid: {
            x: number;
            y: number;
            w: number;
            h: number;
            maxW: number;
        };
        group: {
            key: string;
            name: string;
            fieldType: string;
        }[];
        value: {
            key: string;
            fieldType: string;
            name: string;
            compute: string;
        }[];
        orderBy: {};
    };
    view: string;
})[];
export declare const CHART_OPTION_UNSAVE = "\u60A8\u6709\u672A\u4FDD\u5B58\u7684\u56FE\u8868\u53C2\u6570\u914D\u7F6E\uFF0C\u8BF7\u786E\u8BA4\u662F\u5426\u4FDD\u5B58\u540E\u518D\u9000\u51FA\uFF1F";
export declare const TABLE_HEADER_HEIGHT = 136;
export declare const TABLE_FOOTER_HEIGHT = 48;
export declare const TABLE_HEADER_CELL_HEIGHT = 41;
export declare const TABLE_BODY_CELL_HEIGHT = 41;
export declare const ITEM_LINK_TYPE_VALUE: {
    SOME: string;
    ALL: string;
    ONE_TO_MANY: string;
    MANY_TO_MANY: string;
};
export declare const FIELD_CONTAINERS_PAGE: {
    DETAIL: string;
    MODAL: string;
    DRAWER: string;
    FILTER: string;
    SCREEN: string;
};
export declare const BASE_TABLE_PAGE_SIZE_KEYS = "baseTablePageSize";
export declare const CANCEL_FETCH_STRING = "cancel_fetch_string";
export declare const ITEM_LINK_COLUMNS_KEYS = "/osc/proxima/itemLink/showColumnsKeys";
export declare const ITEM_LEVEL_COLUMNS_KEYS = "/osc/proxima/itemLevel/showColumnsKeys";
export declare const CHART_TOP_COLOR: string[];
export declare const EXPORT_EXCLUDE_CHARTS: string[];
export declare const MODAL_WIDTH = 800;
export declare const PERMISSION_SCHEME_MODAL_WIDTH = 650;
export declare const MAX_MODAL_WIDTH = 800;
export declare const SMALL_MODAL_WIDTH = 600;
export declare const CHART_DEFAULT_COLOC = "#FFF";
export declare const MEMBER_COLUMN_NAME_WIDTH = 200;
export declare const MEMBER_TABLE_HEIGHT_DIFF = 160;
export declare const MEMBER_ROLE_NAME_LENGTH_MAX = 10;
export declare const MEMBER_ROLE_NAME_DESCRIPTION_MAX = 200;
export declare const ROUTER_CHANGE_EVENT_TYPE = "app-route-change";
export declare const PLUGIN_MODULE_KEY: {
    TENANT: string;
    SETTINGS: string;
    WORKSPACE: string;
    All: string;
};
export declare const ONE_HOURS = 3600000;
export declare const PROXIMA_CACHE_TABLE_COLUMN_WIDTH_KEY = "proxima-cache-table-column-width-key";
export declare const ONCHANGE_TYPE: {
    CURRENT_USER: string;
};
export declare enum RemoveType {
    Reset = "reset",
    Remove = "remove"
}
export declare const MAX_NAME_LENGTH = 50;
export declare const DEFAULT_WORKSPACE_ICON = "/icons/ProductIcon.svg";
export declare const DEFAULT_BOARD_ICON = "/icons/Panel1";
